package com.koobietech.eas.mbg.mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.koobietech.eas.mbg.model.EasEduCltRelation;
import com.koobietech.eas.mbg.model.EasEduCltRelationExample;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EasEduCltRelationMapper {
    long countByExample(EasEduCltRelationExample example);

    int deleteByExample(EasEduCltRelationExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(EasEduCltRelation record);

    int insertSelective(EasEduCltRelation record);

    List<EasEduCltRelation> selectByExample(EasEduCltRelationExample example);

    EasEduCltRelation selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") EasEduCltRelation record, @Param("example") EasEduCltRelationExample example);

    int updateByExample(@Param("record") EasEduCltRelation record, @Param("example") EasEduCltRelationExample example);

    int updateByPrimaryKeySelective(EasEduCltRelation record);

    int updateByPrimaryKey(EasEduCltRelation record);
}